#pragma once
#include <ConsumerImplHelper/GenTLCamera.h>

namespace GenTLConsumerImplHelper
{
    CIH_WEAK_SYMBOL(extern const char BlazeProducerName[]);

    class CBlazeCamera : public CGenTLCamera<BlazeProducerName>
    {
    public:
#pragma pack(push, 1)
        struct Coord3D
        {
            float x;
            float y;
            float z;
            bool IsValid() const { return z == z; }  // check for NAN
        };
#pragma pack(pop)

    public:
        CBlazeCamera()
        {
        }

    protected:

    };

}

#ifndef USE_DEBUG_CONSUMER
const char GenTLConsumerImplHelper::BlazeProducerName[] = "ProducerBlaze.cti";
#else
const char GenTLConsumerImplHelper::BlazeProducerName[] = "ProducerBlaze_d.cti";
#endif

template<>
std::string GenTLConsumerImplHelper::CGenTLCamera<GenTLConsumerImplHelper::BlazeProducerName>::s_NonCachedParameter; // so far there is no non-cached register
